# $Revision: 1.41.2.1 $, $Date: 2003/03/23 21:59:31 $
#
# _without_dist_kernel - without distribution kernel
#
Summary:	IANS utility for Intel(R) PRO/100
Summary(pl):	Narzdzie IANS do karty Intel(R) PRO/100
Name:		ians
Version:	1.7.65
%define	_rel	3
Release:	%{_rel}
Group:		Base/Kernel
License:	BSD (see LICENSE_BINARY)
Vendor:		Intel Corporation
Source0:	ftp://aiedownload.intel.com/df-support/2895/eng/iANS-%{version}.tar.gz
URL:		http://support.intel.com/support/network/adapter/pro100/
%{!?_without_dist_kernel:BuildRequires: kernel-source}
BuildRequires:	%{kgcc_package}
ExclusiveArch:	%{ix86}
%{!?_without_dist_kernel:Requires:	kernel(ians) = %{version}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ians

%description
This package contains the Linux driver for the Intel(R) PRO/100 family
of 10/100 Ethernet network adapters. It contains module ians.o which
allows you to use advanced options of that cards (vlan, team-work) and
some utilities.

%description -l pl
Ten pakiet zawiera linuksowy modu ians.o do kart Intel(R) PRO/100,
ktry pozwala na sterowanie zaawansowanymi opcjami tych kart (vlan,
team-work) oraz narzdzia do zarzdzania tymi opcjami.

%package -n kernel-net-ians
Summary:	IANS kernel module for Intel(R) PRO/100
Summary(pl):	Modu IANS do karty Intel(R) PRO/100
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires:	ians = %{version}
Provides:	kernel(ians) = %{version}
Obsoletes:	linux-smp-net-ians

%description -n kernel-net-ians
This package contains module ians.o which allows you to use advanced
options of Intel cards (vlan, team-work).

%description -n kernel-net-ians -l pl
Ten pakiet zawiera linuksowy modu ians.o do kart Intel(R) PRO/100,
ktry pozwala na sterowanie zaawansowanymi opcjami tych kart (vlan,
team-work).

%package -n kernel-smp-net-ians
Summary:	IANS kernel SMP module for Intel(R) PRO/100
Summary(pl):	Modu SMP IANS do karty Intel(R) PRO/100
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires:	ians = %{version}
Provides:	kernel(ians) = %{version}
Obsoletes:	linux-net-ians

%description -n kernel-smp-net-ians
This package contains module ians.o (for SMP systems) which allows you
to use advanced options of Intel cards (vlan, team-work).

%description -n kernel-smp-net-ians -l pl
Ten pakiet zawiera linuksowy (SMP) modu ians.o do kart Intel(R)
PRO/100, ktry pozwala na sterowanie zaawansowanymi opcjami tych kart
(vlan, team-work).

%prep
%setup -q -n iANS-%{version}

%build
cd src
%{__make} CC="%{kgcc} -DCONFIG_X86_LOCAL_APIC" SMP=1 KSRC=%{_kernelsrcdir}
mv -f ../bin/ia32/ians.o ../bin/ia32/ians-smp.o
%{__make} clean KSRC=%{_kernelsrcdir}
%{__make} SMP=0 KSRC=%{_kernelsrcdir}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_sysconfdir}
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
cd src
%{__make} MAN_DIR=/usr/share/man \
	BIN_DIR=/sbin \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	KSRC=%{_kernelsrcdir} \
	install
cd ..

install bin/ia32/ians.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/ians.o

install bin/ia32/ians-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/ians.o

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel-net-ians
/sbin/depmod -a

%postun	-n kernel-net-ians
/sbin/depmod -a

%post	-n kernel-smp-net-ians
/sbin/depmod -a

%postun	-n kernel-smp-net-ians
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc README LICENSE install_scripts
%attr(755,root,root) /sbin/*
%attr(644,root,root) %{_mandir}/man*/*
%dir %attr(755,root,root) %{_sysconfdir}

%files -n kernel-net-ians
%defattr(644,root,root,755)
%attr(644,root,root) /lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-ians
%defattr(644,root,root,755)
%attr(644,root,root) /lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ians.spec,v $
Revision 1.41.2.1  2003/03/23 21:59:31  blues
- release 3; rebuild with 2.2.25

Revision 1.41  2002/11/17 20:16:30  kloczek
- release 2: rebuild against kernel 2.2.22-6.

Revision 1.40  2002/11/05 11:26:21  blues
- 1.7.65 - as usually from intel - no changelog... STBR

Revision 1.39  2002/11/02 11:31:52  ankry
- rel. 5 (rebuild against kernel 2.2.22-4)

Revision 1.38  2002/10/12 12:57:44  marcus
- rel.4. (for kernel 2.2.22-3)

Revision 1.37  2002/09/30 14:31:20  kloczek
- release 3: rebuild against kernel 2.2.22.

Revision 1.36  2002/09/15 19:08:30  kloczek
- release 2: rebuild against kernel 2.2.21-7

Revision 1.35  2002/08/21 10:52:03  qboosh
- use _kernelsrcdir macro

Revision 1.34  2002/08/19 19:06:17  marcus
- fix for make install (brr, KSRC)

Revision 1.33  2002/08/19 18:56:08  marcus
- fix for make clean

Revision 1.32  2002/08/19 18:49:24  marcus
- dirty fix for Intel's Makefile

Revision 1.31  2002/08/19 08:33:03  qboosh
- don't require kernel-source if building --without dist_kernel

Revision 1.30  2002/08/18 18:12:32  blues
- added kernel-source to BR

Revision 1.29  2002/08/18 18:00:57  blues
- 1.7.33a - STBR

Revision 1.28  2002/08/18 17:51:42  kloczek
- release 2: rebuild against kernel 2.2.21.

Revision 1.27  2002/06/14 10:11:55  blues
- fixed without_dist_kernel bcond

Revision 1.26  2002/06/14 09:34:20  blues
- 1.7.17 (as usually no info about changes...)
- removed not needed now patches
- new doc
STBR

Revision 1.25  2002/05/22 20:35:37  blues
- fix location of ians modules (misc not main directory with modules)

Revision 1.24  2002/04/25 16:35:02  arturs
fixed a small typo

Revision 1.23  2002/04/25 10:50:33  blues
- 1.6.30a

Revision 1.22  2002/03/27 11:45:58  roman
s/BSD, see LICENSE_BINARY/BSD (see LICENSE_BINARY) in License

Revision 1.21  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.20  2002/03/04 22:16:36  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.4.

Revision 1.19  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.18  2002/02/26 15:43:07  qboosh
- use requires_releq_kernel_{up,smp} and kgcc macros, release 3

Revision 1.17  2002/02/23 22:14:01  saq
- remove legacy _with_smp stuff
- respect _without_dist_kernel
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 2, STBR

Revision 1.16  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/22 22:19:25  blues
- 1.6.20b (fixes unknown... Intel isn't kind to inform about this detail...)
STB

Revision 1.13  2002/02/10 19:11:01  marcus
- rel. 4. (for build with 2.2.20-10 and 2.4)

Revision 1.12  2002/01/27 16:18:01  marcus
- fix up/smp build
- rel 6

Revision 1.11  2002/01/22 16:18:45  blues
- release 2
- separate kernel module from aplications...

Revision 1.10  2002/01/18 02:13:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/17 12:50:05  blues
- 1.5.18c
- small fix in files
NOTE: could someone read the license? I don't understand anything...

Revision 1.8  2002/01/09 00:12:08  blues
- URL updated

Revision 1.7  2001/12/15 15:14:09  blues
- removed line with ghost

Revision 1.6  2001/12/15 15:09:51  blues
- 1.5.17 (previos was making oops in 2.4.16!)
- patches updated
- some cosmetics
- more docs
- marked /etc/ians/ians.conf as ghost
STBR

Revision 1.5  2001/11/05 20:29:02  blues
- 1.4.27
- makefile patch renamed and updated
STB

Revision 1.4  2001/10/16 13:58:07  qboosh
- added empty base package to remove junk from .src.rpm name
- use kernel%%{smpstr}-*-* naming scheme
- release 2

Revision 1.3  2001/09/21 22:06:43  blues
- added provides and obsoletes
- added /etc/ians as a default config location

Revision 1.2  2001/09/21 20:18:36  blues
- renamed to kernel-net-ians

Revision 1.1  2001/09/16 00:17:38  blues
- Utility for Intel 100/Pro to allow cards team-work and vlans manipulations
